Subject: bug#799: No system sounds in xterm

From: Ralph Ronnquist <[email-masked]>
Date: Mon, 16 Oct 2023 09:21:50 +1100

Right. Quite interesting effect as the code differences between the
two versions don't seem at all related to keyboard handling. That
patch "merely" introduces using seatd for input stream access (as
alterantive to logind), and that's on the surface unrelated to the X11
message interchange between clients and server.

Yet it appears obvious that the Xorg server patch is inolved given
that you have the different effects just by changing server version.

I'm setting up a repeating test case for this issue so I can explore
it in more detail. For that: how do you trigger the bell effect (which
I understand works as visual bell but not as audio bell)?

   Do you trigger bell by typing ^G (i.e., control-G) in a shell in
   xterm? Or, say, pushing tab in a shell in xterm (at an input point
   with completion ambiguity)? Or running "echo '^G'" in a shell in
   xterm? Or some other way?

Though it's probably not very important which interactive gesture you
are using. I'm not exactly en par with the code chain from interaction
gesture to audio rendering, but I would guess there eventually is an
X11 call from xterm to Xorg to handle an XBell event. And, I would
think the visual bell is handled differently already by xterm and that
it's not an XBell message but rather some other message sequence.
(Clearly I need to freshen up on the X11 messages a bit :))

regards,

Ralph.